Subject: Re: bug#17771: 24.3.91; SIGSEGV in cleanup_vector

From: Stephen Berman <[email-masked]>
Date: Mon, 16 Jun 2014 23:33:35 +0200

On Mon, 16 Jun 2014 20:03:22 +0400 Dmitry Antipov <[email-masked]> wrote:

> On 06/16/2014 07:49 PM, Stephen Berman wrote:
>
>> cpu MHz : 1000.000
>> and 4 GiB RAM
>
> This should be pretty enough.
>
>> Mostly ~97%
>
> Then you should profile with perf.

I've now done that.  Here are the top five entries; the whole gzipped
output is attached.

# Samples: 26K of event 'cycles'
# Event count (approx.): 47032351373
#
# Overhead  Command  Shared Object                  Symbol
# ........  .......  .............................  ..............................
#
    36.00%    emacs  libfontconfig.so.1.8.0         [.] 0x000000000001f643           
    31.34%    emacs  libc-2.18.so                   [.] __strchr_sse2                
     6.78%    emacs  [kernel.kallsyms]              [k] 0xffffffff8103aef6           
     4.12%    emacs  libz.so.1.2.8                  [.] 0x0000000000007cc6           
     1.15%    emacs  libfontconfig.so.1.8.0         [.] FcCharSetSubtractCount

I don't know if it's significant, but when I ran perf, it gave the
following warnings:

[kernel.kallsyms] with build id d1a714bf3876cc6850d48a51a4f68be7e418e864 not found, continuing without symbols
Warning:
Kernel address maps (/proc/{kallsyms,modules}) were restricted.

Check /proc/sys/kernel/kptr_restrict before running 'perf record'.

As no suitable kallsyms nor vmlinux was found, kernel samples
can't be resolved.

Samples in kernel modules can't be resolved as well.

Steve Berman